import { Component } from '@angular/core';
import { ModalService } from '../../services/modal/modal.service';
import { Router, RouterLink } from '@angular/router';
import { AuthService } from '../../services/auth/auth.service';

@Component({
  selector: 'app-home-page',
  templateUrl: './home-page.component.html',
  imports: [RouterLink]
})
export class HomePageComponent {
  currentYear = new Date().getFullYear();

  constructor(
    private loginModalService: ModalService,
    private router: Router,
    private authService: AuthService
  ) {
    if(this.authService.isLoggedIn()) {
      this.router.navigate(['/map']);
    }
  }

  openLogin() {
    if (!this.authService.isLoggedIn()) {
      this.loginModalService.openModal('login-modal');
    } else {
      this.router.navigate(['/map']);
    }
  }
}
