import { Injectable, OnInit } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { environment } from '../../../environment';
import { AuthService } from '../auth/auth.service';

@Injectable({
  providedIn: 'root',
})
export class UserService {
  private apiURL = environment.apiURL;
  constructor(private http: HttpClient, private authService: AuthService) {}

  getUser(username: string) {
    const params = { name: username };

    return this.http.get<any[]>(`${this.apiURL}/users`, { params });
  }

  getUserById(userId: string) {
    return this.http.get<any>(`${this.apiURL}/user/${userId}`);
  }
}
